pngcheck(1)

NAME
pngcheck - Test PNG image files for corruption, display size, type, compression info

SYNOPSIS
  pngcheck [-vqt7f] file.png [file.png [...]]
  pngcheck [-vqt7f] file.mng [file.mng [...]]
  pngcheck -{sx}[vqt7f] file-containing-PNGs...

  Can be used in pipe:

  ... | pngcheck [-sx][vqt7f]

OPTIONS

-7  Print contents of text chunks, escape chars >=128 (for 7-bit terminals).

-f  Force continuation even after major errors.

-p  Display contents of PLTE, tRNS, hIST, sPLT and PPLT (can be used with -q).

-q  Test quietly (only output errors).

-s  Search for PNGs within another file.

-t  Display contents of tEXt chunks (can be used with -q).

-v  test verbosely (print most chunk data).

-x  Search for PNGs and extract them when found.

DESCRIPTION
pngcheck is the official PNG tester and debugger. Originally designed simply to test the CRCs within a PNG image file (e.g., to check for ASCII rather than binary transfer), it has been extended to check and optionally print almost all the information about a PNG image and to verify that it conforms to the PNG specification. It also includes partial support for MNG animations.

It can dump the chunk-level information in the image in human-readable form. For example, it can be used to print the basic stats about an image (dimensions, bit depth, etc.); to list the color and transparency info in its palette; or to extract the embedded text annotations. All PNG and JNG chunks are supported, plus almost all MNG chunks (everything but PAST, DISC, tERm, DROP, DBYK, and ORDR). This is a command-line program with batch capabilities (e.g., pngcheck *.png).

ENVIRONMENT
None.

FILES
None.

SEE ALSO
pngchunkdesc(1) pngchunks(1) pngcomp(1) pngcp(1) pngcrush(1) pnginfo(1) pngmeta(1) pngnq(1) pngquant(1) pngsplit(1)

AUTHORS
Program was written by Greg Roelofs <newt@pobox.com>, <roelofs@users.sf.net>.

This manual page was written by Kevin M. Rosenberg <kmr@debian.org> for the Debian GNU system (but may be used by others). Updated and converted to Perl POD source format by Jari Aalto <jari.aalto@cante.net>. Released under license GNU GPL v2 or (at your option) any later version. For more information about license, visit <http://www.gnu.org/copyleft/gpl.html>.